<?php

/* essential functions */

require(dirname(__FILE__) . '/functions_authentication.php');
require(dirname(__FILE__) . '/functions_url.php');
require(dirname(__FILE__) . '/functions_widgets.php');
require(dirname(__FILE__) . '/functions_wpmu.php');

/* proxy related */

require(dirname(__FILE__) . '/functions_news_feed.php');
if (class_exists('XenForo_Application')) require(dirname(__FILE__) . '/functions_proxy.php');

function xf_pre_comment_on_post() {
	// we have to hook it here to catch the comment message (see xf_comment_form_defaults() in functions_proxy.php)
	// this function can be placed inside functions_proxy.php because it needs to be run all the time
	// TODO: find a cleaner way to do this
	if (empty($_POST['comment']) AND !empty($_POST['comment_html'])) {
		// well, caught our WYSIWYG editor footprint here
		// the message will be escaped/processed later by WordPress itself
		$_POST['comment'] = $_POST['comment_html'];
	}
}
add_action('pre_comment_on_post', 'xf_pre_comment_on_post');
