<?php get_header(); ?>

		<div class="mainContainer">
			<div class="mainContent">

<?php
	if (is_day()) {
		$title = sprintf(__( 'Daily Archives: <span>%s</span>', 'twentyten' ), get_the_date());
	} else if (is_month()) {
		$title = sprintf(__( 'Monthly Archives: <span>%s</span>', 'twentyten' ), get_the_date('F Y'));
	} else if (is_year()) {
		$title = sprintf(__( 'Yearly Archives: <span>%s</span>', 'twentyten' ), get_the_date('Y'));
	} else {
		$title = __('Blog Archives', 'twentyten');
	}
?>
<?php bdWordPressProxy_TemplateHelper::breadCrumb( xf_get_breadcrumb_link(),__('Blog Archives', 'twentyten')) ?>
<?php bdWordPressProxy_TemplateHelper::title( $title ) ?>

<?php
	/* Queue the first post, that way we know
	 * what date we're dealing with (if that is the case).
	 *
	 * We reset this later so we can run the loop
	 * properly with a call to rewind_posts().
	 */
	if ( have_posts() )
		the_post();
?>

<?php
	/* Since we called the_post() above, we need to
	 * rewind the loop back to the beginning that way
	 * we can run the loop properly, in full.
	 */
	rewind_posts();

	/* Run the loop for the archives page to output the posts.
	 * If you want to overload this in a child theme then include a file
	 * called loop-archives.php and that will be used instead.
	 */
	 get_template_part( 'loop', 'archive' );
?>

			</div><!-- .mainContent -->
		</div><!-- .mainContainer -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>