<?php
function xenforo_wpmu_new_blog($blog_id) {
	if (class_exists('XenForo_WP')) {
		// the bridge is active
		$ours = array('xf_path','xf_globalSalt','xf_roles_map');
		$found = array();
		foreach ($ours as $option_id) {
			$option_value = get_option($option_id);
			if (!empty($option_value)) {
				$found[$option_id] = $option_value;
			}
		}

		if (!empty($found)) {
			switch_to_blog($blog_id);
			foreach ($found as $option_id => $option_value) {
				// sync to new blog
				add_option($option_id, $option_value, '', 'yes');
			}
			restore_current_blog();
		}
	}
}
add_action('wpmu_new_blog','xenforo_wpmu_new_blog');