<?php
/* support other plugins */
ob_start();
/* XenForo provides jQuery already so we will remove it,
 * but some plugins check for jquery before doing their job
 * so we will have to use a dummy jquery "script" here
 */
wp_deregister_script('jquery');
wp_register_script('jquery', rtrim(get_option('home'), '/') . '/wp-content/plugins/xenforo/js/dummy-jquery.js');
wp_enqueue_script('jquery');
wp_head();
$injection = ob_get_clean();
bdWordPressProxy_TemplateHelper::addInjection('before-head', $injection);

/* extract menu items */
$menu = wp_nav_menu(array(
	/* twentyten */
	'container_class' => 'menu-header', 'theme_location' => 'primary',
	/* ours */
	'echo' => false,
));
if (preg_match_all('/href="([^"]+)"[^>]*>(.+?)<\/a>/i', $menu, $matches, PREG_SET_ORDER)) {
	foreach ($matches as $match) {
		$link = $match[1];
		$title = $match[2];
		
		bdWordPressProxy_TemplateHelper::addTabLink($link, $title);
	}
}
?>
<div id="wordpress-proxy">